# Payloads

Pretium sends **two webhook notifications** with the payment states for every successful transaction

## Payouts/offramp notifications

When a transaction is completed on Pretium, our API automatically sends a webhook to your callback URL set in the body request data.

Below is a sample payload you will receive when a transaction is successfully processed:

```
{
  "status": "COMPLETE",
  "transaction_code": "e37c02ca-2170-4a82-ad06-d2def781cc8e",
  "receipt_number": "TKTQRBEO7A",
  "public_name": "John Doe",
  "message": "Transaction processed successfully."
}

```

## Onramp notification

Pretium delivers two webhook callbacks during the onramp flow. These notifications help you track payment progress and asset delivery in real time.

#### Payment confirmation

This notification is sent when Pretium successfully collects funds from the user.

```
{
   "status": "COMPLETE",
   "transaction_code":"43cfb5f7-df7e-4d49-8749-81a128b41179",
   "receipt_number":"TKT23BLSNK",
   "public_name": "John Doe",
   "message": "Transaction processed successfully."
}
```

#### Asset release notification

This notification is sent once the user’s asset has been fully released to their wallet. You can use this event to mark the transaction as finalized on your platform.

```
{
  "is_released": true,
  "transaction_code": "e37c02ca-2170-4a82-ad06-d2def781cc8e",
  "transaction_hash": "0x35ccb0b05158452a8373fe2823b0e989cbc0689bf44ff1786bc0383aadddf2a5"
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pretium.africa/webhooks/payloads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
